SMS Summary#
Totals for the same filters as List SMS. No pagination.
Authorizationstringheaderrequired
Bearer token in the format: Bearer {access_token}
searchstringquery
Contact first name, last name, or phone number
directionstringquery
Stored direction
statusstringquery
Stored SMS status
sentimentstringquery
Stored user_sentiment
date_fromstringquery
Start date Y-m-d
date_tostringquery
End date Y-m-d
curl --request GET \
--url 'https://app.rizzdial.com/api/reports/sms/summary?date_from=2026-10-01&date_to=2026-10-21' \
--header 'Authorization: Bearer {{bearer_token}}'data.total_messagesinteger
Matching SMS logs
data.unique_contactsinteger
Distinct contacts in those logs
data.by_directionobject
Count per stored direction. Empty direction is unknown
data.by_statusobject
Count per stored status. Empty status is unknown